%define ttfdir %_x11libdir/X11/fonts/thai-ttf

Name: thai-fonts-ttf
Version: 0.1
Release: alt1

Summary: Free Thai TrueType fonts
Summary (ru_RU.UTF-8): Тайские TrueType шрифты 
License: Distributable
Group: System/Fonts/True type
Source: fonts-ttf-thai-norasi.tar.bz2
BuildArch: noarch
PreReq: chkfontpath freetype fontconfig perl-base

%description
This Package provides Free Thai TrueType fonts.

%description -l ru_RU.UTF-8
В пакете находятся тайские TrueType шрифты. 

%prep
%setup -q -c -a0

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir

cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
 touch fonts.cache-1
cd -

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir
if [ -x /usr/bin/gnome-font-install ]; then
  perl %_datadir/fonts/run-gnome-font-install \
	%_bindir/gnome-font-install %_datadir %_datadir > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %ttfdir
fi

%files
%ttfdir
%doc README

%changelog
* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.1-alt1
- ALTLinux build
